package com.abi.qms.platform.dao.mapper;

import com.abi.qms.platform.dao.entity.QrPackageSapOrderItem;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * sap物料订单明细表 Mapper 接口
 * </p>
 *
 * @author Andy.Tan
 */
public interface QrPackageSapOrderItemMapper extends BaseMapper<QrPackageSapOrderItem> {

    List<QrPackageSapOrderItem> listSapOrderItemOnlyQrCode(@Param("sapOrderNo") String sapOrderNo);

}
