package com.abi.qms.platform.dto.res;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author: zhang zhao
 * @date: 2021/7/2720:20
 * @description: 获取查询流向记录详情信息出参对象
 */
@Data
@ApiModel
public class GetFlowQueryRecordInfo implements Serializable {

    /**
     * 编号
     */
    @ApiModelProperty(value = "编号")
    private Long number;


    /**
     * 流向状态
     */
    @ApiModelProperty(value = "流向状态")
    private String flowStatus;

    /**
     * 箱码
     */
    @ApiModelProperty(value = "箱码")
    private String boxCode;

    /**
     * 托盘码
     */
    @ApiModelProperty(value = "托盘码")
    private String trayCode;

    /**
     * 查询平台
     */
    @ApiModelProperty(value = "查询平台")
    private String queryPlatform;

    /**
     * 查询人
     */
    @ApiModelProperty(value = "查询人")
    private String queryUserName;

    /**
     * 查询地址
     */
    @ApiModelProperty(value = "查询地址")
    private String queryAddress;

    /**
     * 查询时间
     */
    @ApiModelProperty(value = "查询时间")
    private String queryTime;

    /**
     * 品牌
     */
    @ApiModelProperty(value = "品牌")
    private String brand;

    /**
     * SKU信息
     */
    @ApiModelProperty(value = "SKU信息")
    private String skuName;


    //TODO  流向信息 箱垛信息暂无

}
