package com.abi.qms.platform.dto.res;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @author: ZhangZhao
 * @date: 2021/7/21 9:37
 * @description: 获取稽查案件详情出参
 */
@Data
@ApiModel
@NoArgsConstructor
public class GetInspectionCaseInfoRes implements Serializable {

    /**
     * 案件编号
     */
    @ApiModelProperty(value = "案件编号")
    private String caseNumber;

    /**
     * 案件名称
     */
    @ApiModelProperty(value = "案件名称")
    private String caseName;

    /**
     * sku名称
     */
    @ApiModelProperty(value = "sku名称")
    private String skuName;

    /**
     * 流货数量(箱)
     */
    @ApiModelProperty(value = "流货数量(箱)")
    private Long boxCodeCount;

    /**
     * 案件备注
     */
    @ApiModelProperty(value = "案件备注")
    private String caseRemark;


    /**
     * 流出经销商
     */
    @ApiModelProperty(value = "流出经销商")
    private String outAgency;

    /**
     * 流入经销商
     */
    @ApiModelProperty(value = "流入经销商")
    private String inAgency;



    //TODO  流向信息

}
