package com.abi.qms.platform.service;

import com.abi.qms.platform.dao.entity.InspectionCaseFlow;

import java.util.List;

/**
 * 稽查案件-流向关联 Service接口
 *
 * @author WeiganCai
 * @date 2021-07-30
 */
public interface InspectionCaseFlowService {

    /**
     * 保存【稽查案件-流向】关联关系
     * @param caseId 案件ID
     * @param flowList 流向节点列表
     */
    void saveInspectionCaseFlow(Long caseId, List<InspectionCaseFlow> flowList);

}
