package com.abi.qms.platform.service.impl;

import com.abi.qms.platform.dao.entity.InspectionCaseFlow;
import com.abi.qms.platform.service.InspectionCaseFlowService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 稽查案件-流向关联 Service业务层处理
 *
 * @author WeiganCai
 * @date 2021-07-30
 */
@Service
@Slf4j
public class InspectionCaseFlowServiceImpl implements InspectionCaseFlowService {

    /**
     * 保存【稽查案件-流向】关联关系
     * @param caseId 案件ID
     * @param flowList 流向节点列表
     */
    @Override
    public void saveInspectionCaseFlow(Long caseId, List<InspectionCaseFlow> flowList) {

    }
}
